/**
* 文件：AssetFlowEventLogEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 资产事件日志</p>
 * <p>Description: AssetFlowEventLogEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AssetFlowEventLogEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1609307515918L;
	
	/** 事件Code，关联asset_flow_event表code */
	private String eventCode;

	/** 资产码，全局唯一 */
	private String assetNum;

	/** 事件前资产流转状态，参数配置-AssetFlowStatus */
	private Integer beforeStatus;

	/** 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afteStatus;

	/** 事件发生开始时间 */
	private Date eventStartTime;

	/** 事件发生时间，结束时间 */
	private Date eventTime;

	/** 事件经手人，登录名 */
	private String eventUser;

	/** 事件关联人，登录名,多个以逗号分隔 */
	private String eventAfterUser;

	/** 事件发生地，自动采集到的地址 */
	private String eventAddress;

	/** 事件关联图像，图片或视频地址，多个以逗号分隔 */
	private String eventImgUrl;

	/** 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表 */
	private String eventExtInfo;

	/** 备注 */
	private String remark;

	/** 创建时间 */
	private Date createTime;

	/** 数据展示信息，运维助手回显时通过这个字段来回显(临时） */
	private String showInfo;


	public AssetFlowEventLogEntity(){
		
	}
	/**
	 * 获取 事件Code，关联asset_flow_event表code
	 * @return eventCode
	 */
	public String getEventCode(){
		return this.eventCode;
	}

	/**
	 * 设置 事件Code，关联asset_flow_event表code
	 * @param eventCode
	 */
	public void setEventCode(String eventCode){
		this.eventCode = eventCode;
	}

	/**
	 * 获取 资产码，全局唯一
	 * @return assetNum
	 */
	public String getAssetNum(){
		return this.assetNum;
	}

	/**
	 * 设置 资产码，全局唯一
	 * @param assetNum
	 */
	public void setAssetNum(String assetNum){
		this.assetNum = assetNum;
	}

	/**
	 * 获取 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @return beforeStatus
	 */
	public Integer getBeforeStatus(){
		return this.beforeStatus;
	}

	/**
	 * 设置 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @param beforeStatus
	 */
	public void setBeforeStatus(Integer beforeStatus){
		this.beforeStatus = beforeStatus;
	}

	/**
	 * 获取 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afteStatus
	 */
	public Integer getAfteStatus(){
		return this.afteStatus;
	}

	/**
	 * 设置 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afteStatus
	 */
	public void setAfteStatus(Integer afteStatus){
		this.afteStatus = afteStatus;
	}

	/**
	 * 获取 事件发生开始时间
	 * @return eventStartTime
	 */
	public Date getEventStartTime(){
		return this.eventStartTime;
	}

	/**
	 * 设置 事件发生开始时间
	 * @param eventStartTime
	 */
	public void setEventStartTime(Date eventStartTime){
		this.eventStartTime = eventStartTime;
	}

	/**
	 * 获取 事件发生时间，结束时间
	 * @return eventTime
	 */
	public Date getEventTime(){
		return this.eventTime;
	}

	/**
	 * 设置 事件发生时间，结束时间
	 * @param eventTime
	 */
	public void setEventTime(Date eventTime){
		this.eventTime = eventTime;
	}

	/**
	 * 获取 事件经手人，登录名
	 * @return eventUser
	 */
	public String getEventUser(){
		return this.eventUser;
	}

	/**
	 * 设置 事件经手人，登录名
	 * @param eventUser
	 */
	public void setEventUser(String eventUser){
		this.eventUser = eventUser;
	}

	/**
	 * 获取 事件关联人，登录名,多个以逗号分隔
	 * @return eventAfterUser
	 */
	public String getEventAfterUser(){
		return this.eventAfterUser;
	}

	/**
	 * 设置 事件关联人，登录名,多个以逗号分隔
	 * @param eventAfterUser
	 */
	public void setEventAfterUser(String eventAfterUser){
		this.eventAfterUser = eventAfterUser;
	}

	/**
	 * 获取 事件发生地，自动采集到的地址
	 * @return eventAddress
	 */
	public String getEventAddress(){
		return this.eventAddress;
	}

	/**
	 * 设置 事件发生地，自动采集到的地址
	 * @param eventAddress
	 */
	public void setEventAddress(String eventAddress){
		this.eventAddress = eventAddress;
	}

	/**
	 * 获取 事件关联图像，图片或视频地址，多个以逗号分隔
	 * @return eventImgUrl
	 */
	public String getEventImgUrl(){
		return this.eventImgUrl;
	}

	/**
	 * 设置 事件关联图像，图片或视频地址，多个以逗号分隔
	 * @param eventImgUrl
	 */
	public void setEventImgUrl(String eventImgUrl){
		this.eventImgUrl = eventImgUrl;
	}

	/**
	 * 获取 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表
	 * @return eventExtInfo
	 */
	public String getEventExtInfo(){
		return this.eventExtInfo;
	}

	/**
	 * 设置 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表
	 * @param eventExtInfo
	 */
	public void setEventExtInfo(String eventExtInfo){
		this.eventExtInfo = eventExtInfo;
	}

	/**
	 * 获取 备注
	 * @return remark
	 */
	public String getRemark(){
		return this.remark;
	}

	/**
	 * 设置 备注
	 * @param remark
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 数据展示信息，运维助手回显时通过这个字段来回显(临时）
	 * @return showInfo
	 */
	public String getShowInfo(){
		return this.showInfo;
	}

	/**
	 * 设置 数据展示信息，运维助手回显时通过这个字段来回显(临时）
	 * @param showInfo
	 */
	public void setShowInfo(String showInfo){
		this.showInfo = showInfo;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof AssetFlowEventLogEntity) {
			AssetFlowEventLogEntity tmp = (AssetFlowEventLogEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",eventCode:").append(getEventCode())
		  .append(",assetNum:").append(getAssetNum())
		  .append(",beforeStatus:").append(getBeforeStatus())
		  .append(",afteStatus:").append(getAfteStatus())
		  .append(",eventStartTime:").append(getEventStartTime())
		  .append(",eventTime:").append(getEventTime())
		  .append(",eventUser:").append(getEventUser())
		  .append(",eventAfterUser:").append(getEventAfterUser())
		  .append(",eventAddress:").append(getEventAddress())
		  .append(",eventImgUrl:").append(getEventImgUrl())
		  .append(",eventExtInfo:").append(getEventExtInfo())
		  .append(",remark:").append(getRemark())
		  .append(",createTime:").append(getCreateTime())
		  .append(",showInfo:").append(getShowInfo());
		return sb.toString();
	}
	public void initAttrValue(){
		this.eventCode = null;
		this.assetNum = null;
		this.beforeStatus = null;
		this.afteStatus = null;
		this.eventStartTime = null;
		this.eventTime = null;
		this.eventUser = null;
		this.eventAfterUser = null;
		this.eventAddress = null;
		this.eventImgUrl = null;
		this.eventExtInfo = null;
		this.remark = null;
		this.createTime = null;
		this.showInfo = null;
	}
}